// Fill out your copyright notice in the Description page of Project Settings.


#include "HYGameStateBase.h"

AHYGameStateBase::AHYGameStateBase()
{
	static ConstructorHelpers::FObjectFinder<UDataTable> BP_ItemDataTable(
		TEXT("DataTable'/Game/Hwanyoung/Interactables/ItemDataTable.ItemDataTable'"));

	ItemDatabase = BP_ItemDataTable.Object;
}

UDataTable* AHYGameStateBase::GetItemDatabase() const
{
	return ItemDatabase;
}
